package cn.superdesk.uniorder.dao.mapper.invoice.common;

import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceBankInfo;
import cn.superdesk.uniorder.dao.entity.invoice.common.InvoiceBankInfoExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface InvoiceBankInfoMapper {
    long countByExample(InvoiceBankInfoExample example);

    int deleteByExample(InvoiceBankInfoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(InvoiceBankInfo record);

    int insertSelective(InvoiceBankInfo record);

    List<InvoiceBankInfo> selectByExample(InvoiceBankInfoExample example);

    InvoiceBankInfo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") InvoiceBankInfo record, @Param("example") InvoiceBankInfoExample example);

    int updateByExample(@Param("record") InvoiceBankInfo record, @Param("example") InvoiceBankInfoExample example);

    int updateByPrimaryKeySelective(InvoiceBankInfo record);

    int updateByPrimaryKey(InvoiceBankInfo record);
}
